Bug 23431 - The 32 bit isos boot on some HP machines only with a workaround (when 64 bits do it normally)
Summary: The 32 bit isos boot on some HP machines only with a workaround (when 64 bits...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: Release (media or process) (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 7
Assignee: ISO building group
QA Contact:
URL:
Whiteboard:
Keywords: 6.1, 7beta3, FOR_ERRATA7
Depends on:
Blocks:
 
Reported: 2018-08-12 12:35 CEST by Dick Gevers
Modified: 2019-04-05 09:51 CEST (History)
6 users (show)

See Also:
Source RPM: 7 beta1 isos dated 18 NOV 2018
CVE:
Status comment:


Attachments
printscreen of the error (45.79 KB, image/png)
2018-11-23 17:35 CET, Dick Gevers
Details

Description Dick Gevers 2018-08-12 12:35:48 CEST
Description of problem:

Details needed to know:
----------------------
All 64 bits isos written to USB with isodumper pop up in file manager (on my main machine) when the prog completes writing. The 32 bit one does not (although it can be mounted with mount -t iso9660...). 

My test machine is an HP 17-ak091nd laptop. Some more details here: 
https://wiki.mageia.org/en/QA_iso_hardware_list -> Notebooks -> dvgevers

The BIOS has both UEFI and legacy boot enabled. Boot order for both is the same in BIOS settings. In the help inside the BIOS it shows that Legacy loads CSM.

Live DVD concerned is Mageia-6.1-rc-LiveDVD-Xfce-i586-DVD dated 04 AUG 2018. sha512sum checks out good.

Problem:
-------
All three 64 bits Live DVD's written to USB boot without any problem, but this 32 bit one does not boot. Neither as USB stick nor as optical DVD disk. The testmachine boots other DVD disks and the other three Mageia Live DVDs that are 64 bits.
Comment 1 Dick Gevers 2018-08-12 12:38:39 CEST
IN IRC Marja asked me to assign to isobuilders but I do not seem to have access to assignee. So I add Marja, MartinW and isobuild in cc

Keywords: (none) => 6.1
CC: (none) => isobuild, mageia, marja11

Comment 2 Dick Gevers 2018-08-12 12:46:01 CEST
I should have said: when either this USB stick or this DVD disk is inserted before booting the testmachine goes straight to the grub2 menu it finds from MBR/EFI partition so perhaps the bootable bit is not set well enough for my machine to see ??? (Maybe I speak rubbish but the thought occurred....)
Comment 3 Martin Whitaker 2018-08-12 14:00:08 CEST
(In reply to Dick Gevers from comment #0)
> All 64 bits isos written to USB with isodumper pop up in file manager (on my
> main machine) when the prog completes writing. The 32 bit one does not
> (although it can be mounted with mount -t iso9660...). 

I think this is normal - I see the same behaviour with the Mageia 6 Live ISOs. The partition type is different on the 32-bit ISOs compared to the 64-bit ISOs:

# fdisk -l Mageia-6.1-rc-LiveDVD-Xfce-i586-DVD.iso
...
Device                                   Boot Start     End Sectors  Size Id Type
Mageia-6.1-rc-LiveDVD-Xfce-i586-DVD.iso1 *        1 3954687 3954687  1.9G 17 Hidden HPFS/NTFS

# fdisk -l Mageia-6.1-rc-LiveDVD-Xfce-x86_64-DVD.iso
Device                                     Boot Start     End Sectors  Size Id Type
Mageia-6.1-rc-LiveDVD-Xfce-x86_64-DVD.iso1 *        0 4034559 4034560  1.9G  0 Empty
Mageia-6.1-rc-LiveDVD-Xfce-x86_64-DVD.iso2        224    8415    8192    4M ef EFI (FAT-12/16/32)

I think the Type being Hidden is what causes it not to be auto-mounted.

> My test machine is an HP 17-ak091nd laptop. Some more details here: 
> https://wiki.mageia.org/en/QA_iso_hardware_list -> Notebooks -> dvgevers

HP UEFI BIOSs are often troublesome :-(

Could you test if you get the same behaviour with the released Mageia 6 32-bit Live ISO. If so, and as you seem to found a workaround, I think we could just add this to the errata. Changing the boot structure on the 32-bit ISO risks it then not working on some other machine.

For Mageia 7 I am going to be changing the ISO boot scheme (to support 32-bit EFI), so it's likely this bug will be fixed then.
Comment 4 Dick Gevers 2018-08-12 14:38:37 CEST
Then that must be it: when testing isos for 6.0 final the testmachine was an older one : indeed this HP does not boot the released 6.0 iso of 32 bit Xfce !

Summary: The 32 bit Xfce Live DVD does not boot on my machine (all 64 bits do) => The 32 bit Xfce Live DVD does not boot on some HP machines (when 64 bits do)

Martin Whitaker 2018-08-12 15:09:46 CEST

Assignee: bugsquad => isobuild
Target Milestone: --- => Mageia 7
Keywords: (none) => FOR_ERRATA6
Component: Installer => Release (media or process)
CC: (none) => sysadmin-bugs

Comment 5 Dick Gevers 2018-09-08 16:38:19 CEST
Same applies to 32 bits classical install iso dated 04 Sept 2018

Source RPM: Mageia-6.1-rc-LiveDVD-Xfce-i586-DVD dated 04 AUG 2018 => 6.1 isos (live) dated 04 AUG 2018 (classical) dated 04 Sep 2018

Dick Gevers 2018-09-08 17:23:48 CEST

Summary: The 32 bit Xfce Live DVD does not boot on some HP machines (when 64 bits do) => The 32 bit DVD's do not boot on some HP machines (when 64 bits do)

Comment 6 Dick Gevers 2018-09-22 11:04:19 CEST
Same for both 32 bits netinstall isos.

Source RPM: 6.1 isos (live) dated 04 AUG 2018 (classical) dated 04 Sep 2018 => 6.1 isos dated 12/14 Sep 2018

Comment 7 Dick Gevers 2018-09-22 11:19:19 CEST
(BZ wasn't responding & logged me out during previous edit)

Summary: The 32 bit DVD's do not boot on some HP machines (when 64 bits do) => The 32 bit isos do not boot on some HP machines (when 64 bits do)
Source RPM: 6.1 isos dated 12/14 Sep 2018 => 6.1 isos dated 12/15 Sep 2018

Comment 8 Thomas Backlund 2018-09-22 11:59:47 CEST
(In reply to Dick Gevers from comment #7)
> (BZ wasn't responding & logged me out during previous edit)

yeah, I rebooted infra for latest security updates

CC: (none) => tmb

Comment 9 Dick Gevers 2018-11-20 13:08:55 CET
Same with 32 bit classical iso of Mageia 7 Beta1 dated 18 NOV 2018.

[ No keyword ..7.. found ]

Version: 6 => Cauldron
Source RPM: 6.1 isos dated 12/15 Sep 2018 => 7 beta1 isos dated 18 NOV 2018

Comment 10 Marja Van Waes 2018-11-22 09:37:28 CET
(In reply to Dick Gevers from comment #9)
> Same with 32 bit classical iso of Mageia 7 Beta1 dated 18 NOV 2018.
> 
> [ No keyword ..7.. found ]
. 
CC'ing stormi and LpSolit for missing keyword 7beta1

CC: (none) => LpSolit, stormi-mageia

Marja Van Waes 2018-11-22 09:42:20 CET

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=23876

Comment 11 Samuel Verschelde 2018-11-22 10:24:02 CET
Keyword created.
Dick Gevers 2018-11-22 11:20:22 CET

Keywords: (none) => 7beta1

Frédéric "LpSolit" Buclin 2018-11-22 15:03:03 CET

CC: LpSolit => (none)

Comment 12 Martin Whitaker 2018-11-22 15:03:38 CET
I'm wondering if it's the starting sector of the first partition that makes the difference.

Dick, could you try the new version of the 32 bit classical ISO I've built, in the dvg-test/Mageia-7-beta1-i586 directory on the rsync server. If you sync on top of your existing copy, it should download very quickly.
Comment 13 Dick Gevers 2018-11-22 16:33:11 CET
(In reply to Martin Whitaker from comment #12)
> Dick, could you try the new version of the 32 bit classical ISO I've built,
> in the dvg-test/Mageia-7-beta1-i586 directory on the rsync server.

Tried it but sorry: same result. Only the grub2 menu appears that is already installed on the drive. Nothing to evidence that there is a bootable device (like those from the 64 bit isos).
Comment 14 Martin Whitaker 2018-11-22 19:19:35 CET
Did I understand your comment 2 correctly; that if you insert the USB stick before booting the machine, it does boot from the USB stick?

When you boot from the 64-bit ISOs, can you boot in legacy mode as well as in UEFI mode? (the GRUB2 boot menu title will tell you which mode you've booted in)

If you press F9 during boot to get the BIOS boot selection menu (might be a different key on your machine, but it's F9 on my HP laptop), does that let you select the 32-bit USB stick?
Comment 15 Dick Gevers 2018-11-22 21:35:32 CET
(In reply to Martin Whitaker from comment #14)
> Did I understand your comment 2 correctly; that if you insert the USB stick
> before booting the machine, it does boot from the USB stick?

No it boots from the 64 bits USB sticks of Mageia 6.1 and 7 beta1. But if a 32 bit USB stick from 6/7 is in the same slot, it boots from the hard disk where Cauldron is installed.

> When you boot from the 64-bit ISOs, can you boot in legacy mode as well as
> in UEFI mode? (the GRUB2 boot menu title will tell you which mode you've
> booted in)

The Mageia boot screen says only UEFI, nothing about legacy, ever.

> If you press F9 during boot to get the BIOS boot selection menu (might be a
> different key on your machine, but it's F9 on my HP laptop), does that let
> you select the 32-bit USB stick?

I will try but sorry needs to wait until Friday afternoon or evening. Will report back ...
Comment 16 Martin Whitaker 2018-11-22 21:44:50 CET
No rush ... I've got other bugs to look at :-(

It may be you haven't jumped through all the hoops necessary to enable legacy boot. On my HP, not only do you have to enable the CSM, you also have to select which type of boot you want. If you can get to the boot selection menu though, that should offer you all the options.
Comment 17 Dick Gevers 2018-11-22 21:55:05 CET
(In reply to Martin Whitaker from comment #16)

> It may be you haven't jumped through all the hoops necessary to enable
> legacy boot. On my HP, not only do you have to enable the CSM, you also have
> to select which type of boot you want. If you can get to the boot selection
> menu though, that should offer you all the options.

I looked at the BIOS documentation but F9 just loads the default setup (factory setting without changes made by me). I see no description like that but i will look in the BIOS again tomorrow....
Comment 18 Martin Whitaker 2018-11-22 22:13:13 CET
According to this

https://support.hp.com/gb-en/product/hp-17-ak000-laptop-pc/15551430/model/17572313/document/c03801890

you need to press the Esc key repeatedly during startup, until the Startup Menu appears, then press F9 to select the boot device. But no guarantees that is right for your machine...
Comment 19 Dick Gevers 2018-11-22 23:11:13 CET
(In reply to Martin Whitaker from comment #18)
> According to this
> 
> https://support.hp.com/gb-en/product/hp-17-ak000-laptop-pc/15551430/model/
> 17572313/document/c03801890
> 
> you need to press the Esc key repeatedly during startup, until the Startup
> Menu appears, then press F9 to select the boot device. But no guarantees
> that is right for your machine...

Gotcha. Will try !
Comment 20 Dick Gevers 2018-11-23 15:32:40 CET
Yes that works :)) Was not included in my laptop documentation so wasn't aware of it ;(
(And it is Shift +F9)

But it does boot the usb device. Not showing "UEFI" in the boot screen...

I will keep the bug open with For Errata so it can be mentioned there.

However there is no such keyword for 7...

Summary: The 32 bit isos do not boot on some HP machines (when 64 bits do) => The 32 bit isos boot on some HP machines only with a workaround (when 64 bits do it normal)

Comment 21 Dick Gevers 2018-11-23 17:19:04 CET
I have no idea if this is connected, but I suspect it does: after the install gor to the summary I got this error:

"An error occurred.
"grub2-install failed: Installing for i386-pc platform
"grub2-install: warning: Attempting to install GRUB to a disk with multiple partition labels. This is not supported tet..
"grub2-install: error: embedding is not possible. but this is required for cross-disk install.
     ...propagated."

I will save a printscreen and the drakx installer reports if needed. 

Separate bug required ?
Comment 22 Dick Gevers 2018-11-23 17:35:58 CET
Created attachment 10497 [details]
printscreen of the error

After the error install could not be completed: "ok" returned the summary.

Unfortunately the istaller logs were zero size files :((
Comment 23 Martin Whitaker 2018-11-23 22:40:10 CET
I think that's unrelated - GRUB2 doesn't like something about your partition setup - so a new bug report please. Officially we don't support mixed UEFI and legacy boot on the same disk, but it can be made to work.
Comment 24 Dick Gevers 2018-11-24 10:22:10 CET
(In reply to Martin Whitaker from comment #23)
> I think that's unrelated - GRUB2 doesn't like something about your partition
> setup - so a new bug report please. Officially we don't support mixed UEFI
> and legacy boot on the same disk, but it can be made to work.

I note from the installer documentation that there should be a BIOS boot partition but I don't want to create one: it is a 64 bit UEFI machine with a /boot/EFI partition and I think in real life nobody would want to go through difficult hoops to try and install 32 bit system on such machine. One would do so on a 32 bit only machine. So i think it is better for me to stop testing 32 bit isos on this machine: it proves nothing and is too cumbersome if it could be theoretically possible.

I think it is best to say in the errata: use 64 bit installer only on such machines.
Comment 25 Dick Gevers 2019-01-07 16:22:17 CET
Same with isos from 7beta2

Keywords: (none) => 7beta2

Dick Gevers 2019-02-19 10:32:24 CET

Summary: The 32 bit isos boot on some HP machines only with a workaround (when 64 bits do it normal) => The 32 bit isos boot on some HP machines only with a workaround (when 64 bits do it normally)
Keywords: FOR_ERRATA6 => FOR_ERRATA7

Comment 26 Dick Gevers 2019-04-05 09:51:35 CEST
Remains

Keywords: 7beta1, 7beta2 => 7beta3


Note You need to log in before you can comment on or make changes to this bug.